CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-0178

Samba 3.6.6 through 3.6.23, 4.0.x before 4.0.18, and 4.1.x before 4.1.8, when a certain vfs shadow copy configuration is enabled, does not properly initialize the SRV_SNAPSHOT_ARRAY response field, which allows remote authenticated users to obtain potentially sensitive information from process memory via a (1) FSCTL_GET_SHADOW_COPY_DATA or (2) FSCTL_SRV_ENUMERATE_SNAPSHOTS request.
Publish Date : 2014-05-28 Last Update Date : 2018-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
3.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Obtain Information
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
DEPRECATED: RHSA-2014:0867: samba security update (Moderate) oval:org.mitre.oval:def:24948 unix
DSA-2966-1 samba - security update oval:org.mitre.oval:def:24997 unix
ELSA-2014-0867 -- samba security update (moderate) oval:org.mitre.oval:def:27238 unix
RHSA-2014:0867: samba security update (Moderate) oval:org.mitre.oval:def:25141 unix
RHSA-2014:0867: samba security update (Moderate) oval:com.redhat.rhsa:def:20140867 unix
RHSA-2014:1009: samba4 security update (Important) oval:org.mitre.oval:def:26357 unix
RHSA-2014:1009: samba4 security update (Important) oval:com.redhat.rhsa:def:20141009 unix
SUSE-SU-2014:0899-1 -- Security update for Samba oval:org.mitre.oval:def:26095 unix
SUSE-SU-2014:0901-1 -- Security update for Samba oval:org.mitre.oval:def:25353 unix
USN-2257-1 -- samba vulnerabilities oval:org.mitre.oval:def:24958 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-0178

# Product Type Vendor Product Version Update Edition Language
1 Application Samba Samba 3.6.6 Version Details Vulnerabilities
2 Application Samba Samba 3.6.7 Version Details Vulnerabilities
3 Application Samba Samba 3.6.8 Version Details Vulnerabilities
4 Application Samba Samba 3.6.9 Version Details Vulnerabilities
5 Application Samba Samba 3.6.10 Version Details Vulnerabilities
6 Application Samba Samba 3.6.11 Version Details Vulnerabilities
7 Application Samba Samba 3.6.12 Version Details Vulnerabilities
8 Application Samba Samba 3.6.13 Version Details Vulnerabilities
9 Application Samba Samba 3.6.14 Version Details Vulnerabilities
10 Application Samba Samba 3.6.15 Version Details Vulnerabilities
11 Application Samba Samba 3.6.16 Version Details Vulnerabilities
12 Application Samba Samba 3.6.17 Version Details Vulnerabilities
13 Application Samba Samba 3.6.18 Version Details Vulnerabilities
14 Application Samba Samba 3.6.19 Version Details Vulnerabilities
15 Application Samba Samba 3.6.20 Version Details Vulnerabilities
16 Application Samba Samba 3.6.21 Version Details Vulnerabilities
17 Application Samba Samba 3.6.22 Version Details Vulnerabilities
18 Application Samba Samba 3.6.23 Version Details Vulnerabilities
19 Application Samba Samba 4.0.1 Version Details Vulnerabilities
20 Application Samba Samba 4.0.2 Version Details Vulnerabilities
21 Application Samba Samba 4.0.3 Version Details Vulnerabilities
22 Application Samba Samba 4.0.4 Version Details Vulnerabilities
23 Application Samba Samba 4.0.5 Version Details Vulnerabilities
24 Application Samba Samba 4.0.6 Version Details Vulnerabilities
25 Application Samba Samba 4.0.7 Version Details Vulnerabilities
26 Application Samba Samba 4.0.8 Version Details Vulnerabilities
27 Application Samba Samba 4.0.9 Version Details Vulnerabilities
28 Application Samba Samba 4.0.10 Version Details Vulnerabilities
29 Application Samba Samba 4.0.11 Version Details Vulnerabilities
30 Application Samba Samba 4.0.12 Version Details Vulnerabilities
31 Application Samba Samba 4.0.13 Version Details Vulnerabilities
32 Application Samba Samba 4.0.14 Version Details Vulnerabilities
33 Application Samba Samba 4.0.15 Version Details Vulnerabilities
34 Application Samba Samba 4.0.16 Version Details Vulnerabilities
35 Application Samba Samba 4.0.17 Version Details Vulnerabilities
36 Application Samba Samba 4.1.0 Version Details Vulnerabilities
37 Application Samba Samba 4.1.1 Version Details Vulnerabilities
38 Application Samba Samba 4.1.2 Version Details Vulnerabilities
39 Application Samba Samba 4.1.3 Version Details Vulnerabilities
40 Application Samba Samba 4.1.4 Version Details Vulnerabilities
41 Application Samba Samba 4.1.5 Version Details Vulnerabilities
42 Application Samba Samba 4.1.6 Version Details Vulnerabilities
43 Application Samba Samba 4.1.7 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Samba Samba 43

- References For CVE-2014-0178

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05115993 CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136864.html
FEDORA FEDORA-2014-9132
http://www.securityfocus.com/archive/1/532757/100/0/threaded
BUGTRAQ 20140711 [ MDVSA-2014:136 ] samba
http://www.securityfocus.com/bid/67686
BID 67686 Samba Uninitialized Memory Information Disclosure Vulnerability Release Date:2014-09-15
http://www.securitytracker.com/id/1030308
SECTRACK 1030308
http://www.mandriva.com/security/advisories?name=MDVSA-2015:082
MANDRIVA MDVSA-2015:082
http://www.samba.org/samba/security/CVE-2014-0178 CONFIRM
http://security.gentoo.org/glsa/glsa-201502-15.xml
GENTOO GLSA-201502-15
http://www.mandriva.com/security/advisories?name=MDVSA-2014:136
MANDRIVA MDVSA-2014:136
http://secunia.com/advisories/59407
SECUNIA 59407
http://lists.fedoraproject.org/pipermail/package-announce/2014-June/134717.html
FEDORA FEDORA-2014-7672
http://advisories.mageia.org/MGASA-2014-0279.html CONFIRM

- Metasploit Modules Related To CVE-2014-0178

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.